# GEXTPARALLELBUILDING
extdesc="parallel processor enabled collection building"

full_setup=`pwd`/${BASH_SOURCE}
fulldir="${full_setup%/*}"
fulldir="${fulldir%/.}"

# Test for one of the homes, otherwise we need to source a top-level setup
GSDLVER=0
if [ "${GSDL3HOME}x" != "x" ]
then
    GSDLVER=3
else
    if [ "${GSDLHOME}x" != "x" ]
    then
	GSDLVER=2
    fi
fi

if [ "${GSDLVER}" == "0" ]
then
    export gsopt_noexts=1
    CWD=`pwd`
    cd ../..
    if [ -f "./gs3-setup.sh" ]
    then
	source ./gs3-setup.sh
	GSDLVER=3
    else
	source ./setup.bash
	GSDLVER=2
    fi
    cd "${CWD}"
    unset gsopt_noexts
fi

if [ "x$GEXTPARALLELBUILDING" = "x" ]
then
  export PARALLELBUILDINGOS=`uname -s | tr '[A-Z]' '[a-z]' | sed 's/\([0-9]\+\)\?_.*$//'`
  export GEXTPARALLELBUILDING="$fulldir"
  export GEXTPARALLELBUILDING_INSTALLED="${GEXTPARALLELBUILDING}/${GSDLOS}"
  export PATH="${GEXTPARALLELBUILDING_INSTALLED}/bin:${fulldir}/bin/script:${PATH}"

  if [ "x$CXXFLAGS" = "x" ]
  then
    export CXXFLAGS="-I${GEXTPARALLELBUILDING_INSTALLED}/include"
  else
    export CXXFLAGS="-I${GEXTPARALLELBUILDING_INSTALLED}/include ${CXXFLAGS}"
  fi

  if [ "x$LD_LIBRARY_PATH" = "x" ]
  then
    export LD_LIBRARY_PATH="${GEXTPARALLELBUILDING_INSTALLED}/lib"
  else
    export LD_LIBRARY_PATH="${GEXTPARALLELBUILDING_INSTALLED}/lib:${LD_LIBRARY_PATH}"
  fi

  if [ "x$LDFLAGS" = "x" ]
  then
    export LDFLAGS="-L${GEXTPARALLELBUILDING_INSTALLED}/lib"
  else
    export LDFLAGS="-L${GEXTPARALLELBUILDING_INSTALLED}/lib ${LDFLAGS}"
  fi

  extdir="${GEXTPARALLELBUILDING##*/}"

  if [ "${GSDLVER}" = "3" ]
  then
      if [ "x${GSDL3EXTS}" = "x" ]
      then
	  export GSDL3EXTS="${extdir}"
      else
	  export GSDL3EXTS="${GSDL3EXTS}:${extdir}"
      fi
  else
      if [ "x$GSDLEXTS" = "x" ]
      then
	  export GSDLEXTS="${extdir}"
      else
	  export GSDLEXTS="${GSDLEXTS}:${extdir}"
      fi
  fi

  # Perl specific environment setup
  export PERL_VERSION=$(perl-version.pl)

  # Hadoop specific environment setup
  export HADOOP_VERSION=1.1.0
  export HADOOP_PREFIX="${GEXTPARALLELBUILDING}/packages/hadoop-${HADOOP_VERSION}"
  export PATH="${HADOOP_PREFIX}/bin:${PATH}"
  # examples:
  #  localhost:54310 [default]
  #  machinename.local:9000 [rocks default]
  export HDFSHOST=localhost
  export HDFSPORT=54310

  echo "HDFS server expected at \"${HDFSHOST}:${HDFSPORT}\""

  echo "+Your environment is now setup for $extdesc in Greenstone${GSDLVER}"
else
  echo "+Your environment is already setup for $extdesc in Greenstone${GSDLVER}"
fi


